Description

Wiki formatting help contains a lot of information but it does not have a TOC at the beginning of the page. So, it is a bit difficult to find
the information what you want.

Adding TOC can solve the problem. The attached patch is just a demo which adds TOC only to English Textile Help. | will make a
complete patch after getting feedbacks.

Wiki formatting

e Links
o Redmine links
o External links
e Text formatting
o Font style
o Inline images
o Headings
o Paragraphs
o Blockguotes
o Table of content
o Horizontal Rule
e Macros
e Code highlightin

Links

Redmine links

Redmine allows hyperlinking between resources (issues, changesets, wiki pages...) from anywhere wiki formatting is used.

e Link to an issue: #124 (displays #3124, link is striked-through if the issue is closed)

o Link to an issue including tracker name and subject: ##124 (displays Bug #124: bulk edit doesn't change the category or fixed version
properties)

e Link to an issue note: #124-6, or #1244#note-6

¢ Link to an issue note within the same issue: #note-6

Wiki links:

Associated revisions

Revision 18641 - 2019-10-10 15:59 - Go MAEDA
Add TOC to Textile Wiki formatting help (#32119).

Patch by Mizuki ISHIKAWA.

Revision 18642 - 2019-10-10 16:01 - Go MAEDA
Add TOC to Markdown Wiki formatting help (#32119).

Patch by Mizuki ISHIKAWA.

History

#1 - 2019-10-08 09:52 - Mizuki ISHIKAWA
- File add _toc _to_wiki_syntax_detailed_markdown.patch added

- File add_toc_to_wiki_syntax_detailed_textile.patch added
Add TOC to wiki_syntax_detailed_markdown and wiki_syntax_detailed_textile for each language.

#2 - 2019-10-08 15:01 - Go MAEDA
- Assignee set to Go MAEDA

- Target version set to 4.1.0

LGTM. Setting the target version to 4.1.0.

#3 - 2019-10-10 16:04 - Go MAEDA

- Status changed from New to Closed

Committed the patch. Thank you.
